package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.distributed.print.business.entity.TFFlow;
import com.qmth.distributed.print.business.mapper.TFFlowMapper;
import com.qmth.distributed.print.business.service.TFFlowService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * 流程表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-08-02
 */
@Service
public class TFFlowServiceImpl extends ServiceImpl<TFFlowMapper, TFFlow> implements TFFlowService {

    @Resource
    TFFlowMapper tfFlowMapper;

    /**
     * 流程列表
     *
     * @param iPage
     * @param name
     * @param schoolId
     * @param orgId
     * @return
     */
    @Override
    public IPage<TFFlow> list(IPage<Map> iPage, String name, Long schoolId, Long orgId) {
        return tfFlowMapper.list(iPage, name, schoolId, orgId);
    }
}
